NAME="accountsservice"
DESC="Provides a set of D-Bus interfaces for querying and manipulating user account information"
VERSION="23.13.9"
FILES=("https://www.freedesktop.org/software/accountsservice/accountsservice-$VERSION.tar.xz")
HASHES=("03dccfe1b306b7ca19743e86d118e64d")
DEPENDS=(
  "polkit" "gobject-introspection" 
)

PACKAGE() {
  tar xf $NAME-$VERSION.tar.xz
  cd $NAME-$VERSION

  mv tests/dbusmock{,-tests}
  sed -e '/accounts_service\.py/s/dbusmock/dbusmock-tests/' \
    -i tests/test-libaccountsservice.py
  
  mkdir build
  cd    build

  meson setup ..          \
      --prefix=/usr       \
      --buildtype=release \
      -Dadmin_group=adm 
  ninja && DESTDIR="$ROOTDIR" ninja install

  cd ../.. && rm -r $NAME-$VERSION
}
