NAME="gcr3"
DESC="Libraries used for displaying certificates and accessing key stores"
VERSION="3.41.1"
FILES=("https://download.gnome.org/sources/gcr/${VERSION%.*}/gcr-$VERSION.tar.xz")
HASHES=("c1e98af977236255006e11e8f8cfbaca")
DEPENDS=(
  "glib" "libgcrypt" "p11-kit" 
  "gnupg" "libxslt" "gtk3" "libsecret"
)

PACKAGE() {
  tar xf gcr-$VERSION.tar.xz
  cd gcr-$VERSION

  sed -i 's:"/desktop:"/org:' schema/*.xml
  mkdir build
  cd    build

  meson setup --prefix=/usr     \
            --buildtype=release \
            -Dgtk_doc=false     \
            ..
  ninja && DESTDIR="$ROOTDIR" ninja install

  cd ../.. && rm -r gcr-$VERSION
}
